//
// Computergraphik I
// Prof. Dr. Juergen Doellner
// Sommersemester 2001
// 
// Rahmenprogramm fuer Aufgabenzettel 6
//

#ifndef CG_SCOOTER_H
#define CG_SCOOTER_H

#include "cgapplication.h"

class CGScooter : public CGApplication {
public:
    CGScooter();
    virtual ~CGScooter();

    // Ueberschreibe alle diese Ereignisse:
    virtual void onInit();
    virtual void onDraw();        
    virtual void onIdle();
    virtual void onDrag(double dx, double dy);
    virtual void onKey(unsigned char key);    
    virtual void onSize(unsigned int newWidth, unsigned int newHeight);

    // value Methode
    unsigned char value(int x, int z) const;
    
private:         
	void drawSteering();
	void drawScooter();
    void drawBox();
    void drawSphere();
    void drawTorus(double innerRadius, double outerRadius);
    void drawCylinder(bool caps = false);
    void drawWheel();

	bool rotate_;
    bool run_;
    bool axis_;
};

#endif // CG_SCOOTER_H

